> For the complete documentation index, see [llms.txt](https://docs.clym.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.clym.io/getting-started/pagination.md).

# Pagination

Most top-level API resources have support for bulk resource fetches through "list" API methods. The number of resources returned by the API endpoint and the current page of the result can both be sent specified in the query string section, as described:

**Query parameters**

| Name    | Type                | Description                       |
| ------- | ------------------- | --------------------------------- |
| `limit` | number `default 10` | Number of results to be retrieved |
| `page`  | number `default 1`  | Current page in the result set.   |

**Response**

```json
{
  "meta": {
    "current_page": 2,  // tells the current page in the result set
    "next_page": 3,     // optional, present if there are additional resources available
    "prev_page": 1      // optional, present if there is a previous page to go to
  },
  "result": []          // array of resources accessed
}
```

**Example**

```bash
curl --request GET \
  --url https://partners.clym.io/api/portal/domains?limit=30&page=2 \
  --header 'Authorization: {YOUR_API_KEY}'
```

```json
{
    "meta": {
        "current_page": 2,
        "next_page": 3,
        "prev_page": 1
    },
    "result": [
        {
            "id": "....."
        }
    ]
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.clym.io/getting-started/pagination.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
